These docs are for v2.0.1. Click to read the latest docs for v3.0.2.

/candlestickData

Retrieves candle stick data for a market.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Client Library

import { Networks, BluefinClient, MARKET_SYMBOLS } from "@bluefin-exchange/bluefin-v2-client";

async function main() {
  const ed25519Wallet =
    "trigger swim reunion gate hen black real deer light nature trial dust";
  const client = new BluefinClient(
    true,
    Networks.TESTNET_SUI,
    ed25519Wallet,
    "ED25519"
  );
  await client.init()

  await client.getMarketCandleStickData({
    symbol: MARKET_SYMBOLS.BTC,
    interval: "15m",
  });
}

main().then().catch(console.error);
from config import TEST_ACCT_KEY, TEST_NETWORK
from pprint import pprint
import asyncio
from bluefin_v2_client import (
    BluefinClient,
    Networks,
    MARKET_SYMBOLS,
)


async def main():
    client = BluefinClient(True, Networks[TEST_NETWORK], TEST_ACCT_KEY)
    await client.init(True)

    exchange_info = await client.get_market_candle_stick_data(
        {"symbol": MARKET_SYMBOLS.ETH, "interval": "1m"}
    )
    pprint(exchange_info)

    await client.close_connections()


if __name__ == "__main__":
    loop = asyncio.new_event_loop()
    loop.run_until_complete(main())
    loop.close()

HTTPs

Alternatively, call the GET /candlestickData endpoint using the integrated editor on the right or locally from any language supporting HTTPs network calls.

Request & Response

Query Params
string
required

The market symbol for which the user wishes to get candle stick data.

string
enum
required

The time of writing the docs exchange supports the following intervals: "1m", "3m", "5m", "15m", "30m", "1h", "2h", "4h", "6h", "8h", "12h", "1d", "1w", "1M"

double

Starting time for the first candle stick

double

Ending time for last candle stick

double

Number of candles to fetch, the maximum allowed is 50

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json